=== modified file 'libdrizzle/drizzle_time.h'
--- libdrizzle/drizzle_time.h	2008-07-31 18:25:59 +0000
+++ libdrizzle/drizzle_time.h	2008-07-31 18:57:38 +0000
@@ -53,7 +53,7 @@
 {
   unsigned int  year, month, day, hour, minute, second;
   unsigned long second_part;
-  my_bool       neg;
+  bool       neg;
   enum enum_drizzle_timestamp_type time_type;
 } DRIZZLE_TIME;
 

=== modified file 'libdrizzle/my_time.c'
--- libdrizzle/my_time.c	2008-07-31 18:46:21 +0000
+++ libdrizzle/my_time.c	2008-07-31 18:57:38 +0000
@@ -75,7 +75,7 @@
     1  error
 */
 
-my_bool check_date(const DRIZZLE_TIME *ltime, my_bool not_zero_date,
+bool check_date(const DRIZZLE_TIME *ltime, bool not_zero_date,
                    ulong flags, int *was_cut)
 {
   if (not_zero_date)
@@ -164,11 +164,11 @@
   uint date[MAX_DATE_PARTS], date_len[MAX_DATE_PARTS];
   uint add_hours= 0, start_loop;
   ulong not_zero_date, allow_space;
-  my_bool is_internal_format;
+  bool is_internal_format;
   const char *pos, *last_field_pos=NULL;
   const char *end=str+length;
   const uchar *format_position;
-  my_bool found_delimitier= 0, found_space= 0;
+  bool found_delimitier= 0, found_space= 0;
   uint frac_pos, frac_len;
 
   *was_cut= 0;
@@ -468,13 +468,13 @@
      1  error
 */
 
-my_bool str_to_time(const char *str, uint length, DRIZZLE_TIME *l_time,
+bool str_to_time(const char *str, uint length, DRIZZLE_TIME *l_time,
                     int *warning)
 {
   ulong date[5];
   uint64_t value;
   const char *end=str+length, *end_of_days;
-  my_bool found_days,found_hours;
+  bool found_days,found_hours;
   uint state;
 
   l_time->neg=0;

=== modified file 'libdrizzle/my_time.h'
--- libdrizzle/my_time.h	2008-07-31 18:25:59 +0000
+++ libdrizzle/my_time.h	2008-07-31 18:57:38 +0000
@@ -79,7 +79,7 @@
 #define TIME_MAX_VALUE_SECONDS (TIME_MAX_HOUR * 3600L + \
                                 TIME_MAX_MINUTE * 60L + TIME_MAX_SECOND)
 
-my_bool check_date(const DRIZZLE_TIME *ltime, my_bool not_zero_date,
+bool check_date(const DRIZZLE_TIME *ltime, bool not_zero_date,
                    ulong flags, int *was_cut);
 enum enum_drizzle_timestamp_type
 str_to_datetime(const char *str, uint length, DRIZZLE_TIME *l_time,
@@ -92,8 +92,8 @@
 uint64_t TIME_to_uint64_t(const DRIZZLE_TIME *);
 
 
-my_bool str_to_time(const char *str,uint length, DRIZZLE_TIME *l_time,
-                    int *warning);
+bool str_to_time(const char *str,uint length, DRIZZLE_TIME *l_time,
+                 int *warning);
 
 int check_time_range(DRIZZLE_TIME *my_time, int *warning);
 
@@ -117,7 +117,7 @@
     true    The DRIZZLE_TIME value is definitely out of range
 */
 
-static inline my_bool validate_timestamp_range(const DRIZZLE_TIME *t)
+static inline bool validate_timestamp_range(const DRIZZLE_TIME *t)
 {
   if ((t->year > TIMESTAMP_MAX_YEAR || t->year < TIMESTAMP_MIN_YEAR) ||
       (t->year == TIMESTAMP_MAX_YEAR && (t->month > 1 || t->day > 19)) ||

